import { XMPPService } from "../XMPPService";
import { ContactsService } from "../../services/ContactsService";
import { GenericHandler } from "./GenericHandler";
export {};
declare class PresenceEventHandler extends GenericHandler {
    PRESENCE: any;
    IQ_GET: any;
    IQ_SET: any;
    IQ_RESULT: any;
    IQ_ERROR: any;
    private _contacts;
    private _xmpp;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(xmppService: XMPPService, contacts: ContactsService);
    onPresenceReceived(msg: any, stanzaTab: any): Promise<boolean>;
    onIqGetSetReceived(msg: any, stanzaTab: any): void;
    _onIqEventsReceived(msg: any, stanzaTab: any): Promise<boolean>;
    _onIqAutoreplyReceived(msg: any, stanzaTab: any): Promise<boolean>;
}
export { PresenceEventHandler };
